from gi.repository import Gtk



class SortMenu(Gtk.Menu):
    def __init__(self):
        Gtk.Menu.__init__(self)
        
        nomMenu = {2:"Sort by name", 
                   3:"Sort by date asc", 
                   4:"Sort by date desc"}
        
        self.menu_items = {}
        group = []
        for i in nomMenu:
            menu_item = Gtk.RadioMenuItem.new_with_label(group, nomMenu.get(i, None))
            group = menu_item.get_group()
            self.menu_items[i] = menu_item
            self.append(menu_item)
            menu_item.connect("activate", self.sortSelected, i)
            menu_item.show()

        self.menu_items[2].set_active(True)
        
        typeTri = {0:"Ascending", 
                   1:"Descending"
                  }
        
        separator = Gtk.SeparatorMenuItem()
        separator.show()
        self.append(separator)
        
        self.menu_items_type_tri = {}
        group = []
        for i in typeTri:
            menu_item = Gtk.RadioMenuItem.new_with_label(group, typeTri.get(i, None))
            group = menu_item.get_group()
            self.menu_items_type_tri[i] = menu_item
            self.append(menu_item)
            menu_item.connect("activate", self.sortSelected, i)
            menu_item.show()

        self.menu_items_type_tri[0].set_active(True)
        
        # sytle : 
        context = self.get_style_context()
        context.add_class(Gtk.STYLE_CLASS_PRIMARY_TOOLBAR)
        
        
    def sortSelected(self, widget, event):
        self.popup(None, None, None, None,event, event)
