from gi.repository import Gtk, Gdk
from server.ShowmyfavesModel import Tag
from TagGraphic import TagGraphic

class TagFrame(Gtk.ScrolledWindow):

    def __init__(self):
        Gtk.ScrolledWindow.__init__(self)
        self.tagsGeneraux = []
        self.rowTags = 0
        self.lineTags = 0
        self.set_policy(Gtk.PolicyType.AUTOMATIC,Gtk.PolicyType.NEVER)
        self.grid = Gtk.Grid()
        self.add(self.grid)
        
    def addBookmarkTags(self, listTags):
        for t in listTags:
            if not t in self.tagsGeneraux:
                self.tagsGeneraux.append(t)
                tagGraphic = TagGraphic(t)
                self.grid.attach(tagGraphic, self.rowTags, self.lineTags, 1, 1)
        
                self.lineTags += 1
                if self.lineTags == 3:
                    self.lineTags = 0
                    self.rowTags += 1 
        self.show_all()
            
