
from ShowmyfavesModel import Command

class FactoryCommand():
    
    _INSTANCE = None
    
    def __init__(self):
        self.parsers = []
        self.tags = []
        self.filters = []
        self.sort = "date"
        self.reverseSort = 1
    
    @staticmethod
    def INSTANCE():
        if FactoryCommand._INSTANCE is None:
            FactoryCommand._INSTANCE = FactoryCommand()
        return FactoryCommand._INSTANCE
    
    @staticmethod
    def makeGetBookmarks():
        return Command("getBookmarks", FactoryCommand.INSTANCE().parsers, FactoryCommand.INSTANCE().tags, FactoryCommand.INSTANCE().filters, FactoryCommand.INSTANCE().sort, FactoryCommand.INSTANCE().reverseSort)
   
    @staticmethod
    def makeGetNbBookmarks():
        return Command("getNbBookmarks", FactoryCommand.INSTANCE().parsers, FactoryCommand.INSTANCE().tags, FactoryCommand.INSTANCE().filters)
        
    @staticmethod
    def makeGetTags():
        return Command("getTags")
        
    @staticmethod
    def makeGetParsers():
        return Command("getParsers")
        
    @staticmethod
    def makeGetSorts():
        return Command("getSorts")
