import json
import logging
import ShowmyfavesModel
import os

log = logging.getLogger('ConfigLoader')

class ConfigLoader():
    
    @staticmethod
    def load():
        homedir = os.path.expanduser('.')
        json_data = open('.conf')
        data = json.load(json_data)
        json_data.close()
        return ShowmyfavesModel.Configuration(**data)
    
if __name__ == '__main__':
    logging.basicConfig(level=logging.INFO)
    log.info(ConfigLoader.load())
