from gi.repository import Gtk
from GwibberClient import GwibberClient
from server.ShowmyfavesModel import Bookmark

class SocialToolbar(Gtk.EventBox):
    def __init__(self, bookmark):
        Gtk.EventBox.__init__(self)
               ## Ajout d'une toolbar
        self.bookmark = bookmark
        imSocialNetwork = Gtk.Image()
        imSocialNetwork.set_from_file("data/media/socialNetwork.png")
        btnSocialNetwork = Gtk.ToolButton()
        btnSocialNetwork.set_tooltip_text("Share on Facebook")
        btnSocialNetwork.set_icon_widget(imSocialNetwork)
        imSocialNetwork.show()
        btnSocialNetwork.connect("clicked",self.shareOnSocialNetwork)

        imMail = Gtk.Image()
        imMail.set_from_file("data/media/email.png")
        btnMail = Gtk.ToolButton()
        btnMail.set_tooltip_text("Share by email")
        btnMail.set_icon_widget(imMail)
        imMail.show()

        buttons = [btnSocialNetwork, btnMail]

        toolbar = Gtk.Toolbar()
        for button in buttons:
            button.set_property("use_action_appearance",False)
            toolbar.insert(button, -1)

        toolbar.set_property("expand", False)
        toolbar.set_property("icon_size",1)
        toolbar.set_property("toolbar-style",Gtk.ToolbarStyle.ICONS)

        self.scroW = Gtk.ScrolledWindow()
        self.scroW.set_size_request(65,16)
        self.scroW.set_policy(Gtk.PolicyType.NEVER,Gtk.PolicyType.NEVER )
        self.scroW.add_with_viewport(toolbar)

        self.get_style_context().add_class(Gtk.STYLE_CLASS_PRIMARY_TOOLBAR)

        self.add(self.scroW)
        toolbar.get_style_context().add_class(Gtk.STYLE_CLASS_PRIMARY_TOOLBAR)
        
    def shareOnSocialNetwork(self, widget):
        ge = GwibberClient(self.bookmark)
